# PlayerWarps by Olzie-12
# https://www.spigotmc.org/resources/115286/
# We also have a discord server for help: https://olziedev.com/discord or check docs https://docs.olziedev.com/projects/playerwarps
# Also if you find any bugs be happy to report them I will fix them :)
# Made with love

# If you want to disable any message just set it to nothing. by doing
# list: "" <- This will no longer send a message.


# every singe message in the plugin is here.
# make sure you use "" to end of every string
# Also you can use colour codes <3

# To use hex color codes you will need to do
# "{#HEX} text"

lang:
  console-name: "&eServer Warp"
  console-uuid: "f78a4d8d-d51b-4b39-98a3-230f2de0c670"
  cancel-chat-wait: "cancelar"
  chat-wait-cancelled: "&cCancelled your request!"
  friendly-max-warps: "Unlimited"
  prefix: "&CWarps &7»"
  list: "%prefix% &bCurrent Warps &d(%page%&b/&d%pages%&b):&d\n* %list%\n%previous%      %next%"
  list-format: "[warp]"
  list-none: "&cNone"
  list-hover: "&bClick to teleport to &d[warp]"
  list-split: "\n* "
  list-previous: "←"
  list-previous-hover: "&bPrevious page"
  list-next: "→"
  list-next-hover: "&bNext page"
  placeholder-none: "&cNinguno"
  warp-removed: "%prefix% &a¡Éxito! ¡Tu warp ha sido eliminada!"
  teleported: "%prefix% &aTeletransportado con éxito a &e%warp%&a!"
  someone-teleported: "%prefix% &e%player%&a se ha teletransportado a &e%warp%&a!"
  warp-set-confirmation: "%prefix% &aConfigurar %name% warp le costará &e$%price%&a, repita el comando para confirmar."
  warp-teleport-confirmation: "%prefix% &aTeletransportarse &b%warp% le costará &b$%price%, &avuelva a ejecutar el comando para confirmar."
  warp-remove-confirmation: "%prefix% &a¿Está seguro de que desea eliminar %warp%? Hágalo de nuevo si lo desea."
  warp-set: "%prefix% &aEstablecio con éxito una warp  jugador llamado &e%name%&a!"
  reloaded: "%prefix% &a¡Recargó con éxito todas las configuraciones!"
  currency-taken: "%prefix% &aHa sido retirado %price% de tu cuenta bancaria."
  teleporting-dont-move: "%prefix% &a¡Teletransportándose a &e%warp% &aen &e%time% &asegundos!"
  desc-set-success: "%prefix% &aEstablezca correctamente la descripción en &e%desc% &apara el warp &e%warp%"
  desc-remove-success: "%prefix% &aSe eliminó con éxito la descripción de la deformación. &e%warp%"
  given-more-warps-success: "%prefix% &a¡Se le dio a &e%player% &aun extra de &e%extra% &awarps y un total de &e%total%&a!"
  set-warp-icon: "%prefix% &a¡Estableció con éxito el icono de &e%warp%&&a, Su nuevo icono es &e%icon%&a!"
  removed-warp-icon: "%prefix% &a¡Se eliminó con éxito el icono de &e%warp%&a!"
  category-set: "%prefix% &aHa configurado correctamente la categoría de &e%warp% &aen &e%category%&a!"
  category-remove: "%prefix% &a¡Se eliminó con éxito la categoría de &e%warp_display%&a!"
  rate-set: "%prefix% &aHas calificado con éxito el warp &e%warp% %rate%&a!"
  rate-set-desc: "%prefix% &aYou have successfully rated a &d%rate%&a (&d%description%&a) for &d%warp_display%&a!"
  warps-removed: "%prefix% &aEl warp &e%player% &ahan sido eliminados!"
  warp-locked: "%prefix% &aBloqueó con éxito el warp &e%warp%&a!"
  warp-unlocked: "%prefix% &aDesbloqueó con éxito el warp &e%warp%&a!"
  warp-cost-set: "%prefix% &aEstableció con éxito el costo de deformación en &e$%cost%&a!"
  warp-cost-removed: "%prefix% &a¡Eliminó con éxito el costo de deformación!"
  successfully-reset-warp: "%prefix% &a¡Restablece con éxito la ubicación de warps!"
  successfully-renamed-warp: "%prefix% &aCambió el nombre de el warp &e%warp%&a!"
  successfully-setowner: "%prefix% &aEstableció correctamente el dueño del warp, El nuevo dueño es&e%owner%&a!"
  successfully-banned: "%prefix% &aHa sido prohibido con éxito &e%player%&a del warp &e%warp%&a!"
  added-manager: "%prefix% &a¡Has agregado con éxito a &e%player%&a como manager del warp &e%warp_display%&a!"
  successfully-unbanned: "%prefix% &aHa sido perdonado con éxito &e%player%&a de el warp &e%warp%&a!"
  removed-manager: "%prefix% &a¡Has eliminado con éxito a &e%player%&a como manager del warp &e%warp_display%&a!"
  successfully-whitelisted: "%prefix% &a¡Incluido con éxito en la lista blanca &e%player% &a&e%warp%&a!"
  whitelist-not-enabled: "%prefix% &cWarning, the whitelist is not enabled for &d%warp_display%&c, if you wish to actually enable it do /pwarp whitelist enable %warp_display%!"
  successfully-disabled-whitelist: "%prefix% &aSuccessfully disabled the whitelist for &d%warp_display%&a!"
  successfully-enabled-whitelist: "%prefix% &aSuccessfully enabled the whitelist for &d%warp_display%&a!"
  successfully-unwhitelisted: "%prefix% &aHas eliminado a el jugador &e%player%&a de la &fLista Blanca&a, ahora el ya no tiene acceso a &e%warp%&a!"
  new-owner: "%prefix% &e%player%&a te acaba de nombrar propietario de &e%warp%&a!"
  pass-set-success: "%prefix% &aEstableció correctamente la contraseña para el warp &e%warp%&a!"
  pass-remove-success: "%prefix% &aSe eliminó con éxito la contraseña de el warp &e%warp%&a!"
  require-password: "%prefix% &cEste warp requiere una contraseña para teletransportarse, ¡ingrese la contraseña!"
  rent: "%prefix% &aHas pagado correctamente el alquiler &e%warp%&a!"
  rent-reminder: "%prefix% &cThis is a reminder that you will need to pay rent for your %warp% warp in %time%."
  banned-list: "%prefix% &bJugadores prohibidos: &e%list%"
  managers-list: "%prefix% &bManagers: &d%list%"
  category-list: "%prefix% &bCategories: &d%list%"
  whitelisted-list: "%prefix% &aJugadores incluidos en la lista blanca: &e%list%"
  rate-notify: "%prefix% &e%player%&a acaba de calificar su warp con &e%rate% &AEstrella"
  favourite-warp: "%prefix% &a¡Agregó con éxito &e%warp% &aen su lista de favoritos!"
  unfavourite-warp: "%prefix% &a¡Eliminó con éxito &e%warp% &ade su lista de favoritos!"
  sponsored-warp: "%prefix% &a¡Has comprado con éxito ese espacio de patrocinador!"
  current-amount-of-warps:
  - "%prefix% &7&l&m----------&7&l[ &b&lPlayer Warps &7&l]&m----------"
  - "%prefix% &bActualmente tienes un máximo de &e%warpsmax%&b (&e%staticwarps% static&b) warps."
  - "%prefix% &bActualmente has usado &e%warpsused%&b warps."
  - "%prefix% &7&l&m----------&7&l[ &b&lPlayer Warps &7&l]&m----------"
  current-amount-of-warps-other:
  - "%prefix% &7&l&m----------&7&l[ &b&lPlayer Warps &7&l]&m----------"
  - "%prefix% &d%player%&b tienes un máximo de &e%warpsmax%&b (&e%staticwarps% static&b) warps."
  - "%prefix% &d%player&b has usado &e%warpsused%&b warps."
  - "%prefix% &7&l&m----------&7&l[ &b&lPlayer Warps &7&l]&m----------"
  amount-warps-others-alert: "&c%player% is currently offline, only showing their maximum warps as a static amount."
  locked-gui: "&c&lBloqueado"
  unlocked-gui: "&a&lDesbloqueado"
  no-password-gui: "&a&lNo Password"
  has-password-gui: "&c&lHas Password"
  offline-title: "%prefix% &bMientras estabas desconectado..."
  sent-setowner: "%prefix% &aSuccessfully sent a setowner request to &d%player%&a for &d%warp%&a!"
  received-setowner: "%prefix% &aYou've received a setowner request from &d%player%&a for &d%warp%&a!\n%prefix% &aPlease type &d/pwarp setowner accept %warp%&a to accept."
  cancelled-setowner: "%prefix% &aSuccessfully cancelled the setowner request for &d%player%&a!"
  sent-expired-setowner: "%prefix% &cYour setowner request sent to %player% for %warp% has expired."
  received-expired-setowner: "%prefix% &cYour setowner request for %warp% from %player% has expired."
  dbexec-successful: "%prefix% &aSuccessfully updated &d%count%&a rows. &aPlease execute &d/%cmd% reload&a to update changes."
  removed-rating: "%prefix% &aSuccessfully removed rating for &d%warp_display%&a!"
  warp-info: "%prefix% &bWarp Information for &d%warp_display%&b:\n%prefix% &bOwner: &d%owner%\n%prefix% &bLocation: &d%world%, %location%\n%prefix% &bVisits: &d%visits%\n%prefix% &bDescription:\n%prefix% &d%desc%\n%prefix% &bTime Created: &d%date%\n%prefix% &bCategory: &d%category%\n%prefix% &bRates: &d%rates%\n%prefix% &bRates Average: &d%rates_average% &7(&e%rates_stars%&7)\n%prefix% &bTeleport Cost: &d%cost%"
  refunded-currency: "%prefix% &aYou have been refunded."
  
  # the help menu for a player
  # The variable %cmd% is any command from the config.yml :)
  help-player:
  - ""
  - "%prefix% &e/%cmd% help &7&l- &bMuestra este menú."
  - "%prefix% &e/%cmd% <warp> &7&l- &bTeletransporta al jugador warp."
  - "%prefix% &e/%cmd% set <name> &7&l- &bEstablece un warp en su ubicación."
  - "%prefix% &e/%cmd% remove <warp> &7&l- &bElimina la warp."
  - "%prefix% &e/%cmd% removeall <player> &7&l- &bElimina todas los warp de el jugadores."
  - "%prefix% &e/%cmd% desc set/remove <warp> <desc> &7&l- &bEstable una descripción a el warp."
  - "%prefix% &e/%cmd% list [page] [player] &7&l- &bEnumera todos los warps del jugador actual."
  - "%prefix% &e/%cmd% open [category] [action] &7&l- &bAbre la GUI."
  - "%prefix% &e/%cmd% amount &7&l- &bComprueba cuántos warps tienes."
  - "%prefix% &e/%cmd% reload &7&l- &bVuelve a cargar todos los archivos de configuración."
  - "%prefix% &e/%cmd% icon set/remove <warp> &7&l- &bEstablezca un icono en su warp."
  - "%prefix% &e/%cmd% addwarps <player> <amount> &7&l- &bAgrega más warp a un jugador a través del comando."
  - "%prefix% &e/%cmd% category <warp> <category> &7&l- &bEstablezca una categoría a su warp."
  - "%prefix% &e/%cmd% rate <warp> <rate> &7&l- &bCalifica un warp."
  - "%prefix% &e/%cmd% ban set/remove/list <warp> [player] &7&l- &bProhibiciones de warp."
  - "%prefix% &e/%cmd% reset <warp> &7&l- &bVuelva a establecer una ubicación de warp."
  - "%prefix% &e/%cmd% rename <warp> <name> &7&l- &bCambiar el nombre de un warp."
  - "%prefix% &e/%cmd% setowner <warp> <player> &7&l- &bTransferir propiedad."
  - "%prefix% &e/%cmd% favourite <warp> &7&l- &bEstablezca su warp favorito."
  - ""

  # the help menu for console
  # The variable %cmd% is any command from the config.yml :)
  help-console:
  - "%prefix% &7&l&m----------&7&l[ &b&lPlayer Warps &7&l]&m----------"
  - "%prefix% &e/%cmd% help &7&l- &bDisplays this menu."
  - "%prefix% &e/%cmd% open [category] [action] &7&l- &bAbre la GUI."
  - "%prefix% &e/%cmd% remove <warp> &7&l- &bRemoves the warp."
  - "%prefix% &e/%cmd% list [page] [player] &7&l- &bLists all the current player warps."
  - "%prefix% &e/%cmd% reload &7&l- &bReloads all the config files"
  - "%prefix% &e/%cmd% addwarps <player> <amount> &7&l- &bAdd more warps to a player via command."
  - "%prefix% &e/%cmd% category <warp> <category> &7&l- &bSet a warp category."
  - "%prefix% &e/%cmd% removeall <player> &7&l- &bRemoves all players warps."
  - "%prefix% &e/%cmd% setowner <warp> <player> &7&l- &bTransfer ownership."
  - "%prefix% &7&l&m----------&7&l[ &b&lPlayer Warps &7&l]&m----------"
    # This is useful for if you want to sell warp amounts on your store, but what happends if a player already has 5 playerwarps.
    # This just simply gives them more warps. For example if a player has 10 warps (pw.limit.10) and you do /pw addwarps *player* 10. They will now have 20 warps.

  # error messages.
  errors:
    command-syntax: "%prefix% &cSintaxis incorrecta, use:\n%syntax%"
    player-only: "%prefix% &c¡Debes ser jugador!"
    console-only: "%prefix% &CThis command can only be executed from console!"
    name-too-long-set: "%prefix% &cNo puede tener un nombre de warp más largo que &4%max%&c caracteres."
    desc-too-long-set: "%prefix% &c¡No puede tener un nombre descriptivo de más de %max%&ccaracteres."
    rate-too-long-set: "%prefix% &cYou cannot have a rate longer than &4%max%&c characters!"
    pass-too-long-set: "%prefix% &c¡No puede tener un nombre password de más de %max%&ccaracteres."
    reason-too-long-set: "%prefix% &cYou cannot have a ban reason longer than &4%max%&c characters!"
    name-too-short-set: "%prefix% &cNo puede tener un nombre de warp más short que &4%min%&c caracteres."
    desc-too-short-set: "%prefix% &c¡No puede tener un nombre descriptivo de short de &4%min%&c caracteres."
    rate-too-short-set: "%prefix% &cYou cannot have a rate shorter than &4%min%&c characters!"
    pass-too-short-set: "%prefix% &c¡No puede tener una contraseña de short de &4%min%&c caracteres."
    reason-too-short-set: "%prefix% &cYou cannot have a ban reason shorter than &4%min%&c characters!"
    rate-too-big: "%prefix% &cNo puedes calificar una warp arriba de &45&c!"
    already-rated: "%prefix% &cYou have already rated this warp!"
    not-a-number: "%prefix% &c¡Eso no es un número!"
    no-page: "%prefix% &cThat page does not exist!"
    invalid-name-set: "%prefix% &cNo puedes configurar un warp de jugador llamado &4%name%&c!"
    invalid-desc-set: "%prefix% &cYou cannot set a description as &4%desc%&c!"
    name-taken-set: "%prefix% &c¡Ese nombre de warp ya está en uso!"
    valid-name-set: "%prefix% &cIntroduzca un nombre válido para su warp."
    warp-dont-own: "%prefix% &c¡No eres dueño de ese warp!"
    warp-dont-exist: "%prefix% &c¡Esa deformación no existe!"
    invalid-warp: "%prefix% &cEsa es una deformación inválida."
    no-permission: "%prefix% &c¡Usted no tiene &4%permission%&c para hacer esto! %reason%"
    too-many-warps-set: "%prefix% &cNo puedes configurar tantos warp, solo puede configurar &4%amount%&c!"
    limit-setowner: "%prefix% &cCouldn't transfer the warp %warp% because the player has too many warps!"
    already-setowner: "%prefix% &cYou already have a pending request for %warp%"
    not-setowner: "%prefix% &cYou haven't got a set owner request for this warp!"
    warp-not-safe: "%prefix% &cEste warp no es seguro. Si quieres teletransportarte, hazlo de nuevo."
    money-not-enough-teleport: "%prefix% &c¡No tienes $%price% para teletransportarte a este warp!"
    money-not-enough-reset: "%prefix% &c¡No tienes $%price% para restablecer tu warp!"
    money-not-enough-rename: "%prefix% &c¡No tienes $%price% para cambiar el nombre de tu warp!"
    money-not-enough-set: "%prefix% &c¡No tienes $%price% para configurar esta deformación!"
    money-not-enough-sponsor: "%prefix% &c¡No tienes $%price% para patrocinar este warp!"
    moved-while-teleporting: "%prefix% &cTeletransporte cancelado..."
    desc-no-desc-gui: "&cNone"
    desc-no-desc: "%prefix% &c%warp% no tiene descripción!"
    cost-no-cost: "%prefix% &c%warp% no tiene costo!"
    pass-no-pass: "%prefix% &c%warp% no tiene contraseña!"
    disabled-world-set: "%prefix% &c¡No puedes poner distorsiones en este mundo!"
    disabled-world-teleport: "%prefix% &cYou cannot teleport to warps in this world!"
    player-offline: "%prefix% &c¡Ese jugador está desconectado!"
    invalid-item: "%prefix% &cEse es un elemento no válido para configurar su icono de deformación."
    invalid-category: "%prefix% &cEsa es una categoría inválida"
    warp-already-in-category: "%prefix% &cThat warp is already in that category!"
    warp-not-in-category: "%prefix% &cThat warp is not in that category!"
    no-player-joined: "%prefix% &cThat player does not exist!"
    set-cooldown: "%prefix% &c¡Actualmente tienes un tiempo de reutilización para configurar warps! (%cooldown% restante)"
    rate-cooldown: "%prefix% &c¡Actualmente tienes un tiempo de reutilización para las deformaciones de calificación! (%cooldown% restante)"
    teleport-cooldown: "%prefix% &c¡Actualmente tienes un tiempo de reutilización para teletransportarte! (%cooldown% restante)"
    teleport-warp-locked: "%prefix% &c¡Este warp está bloqueado actualmente!"
    rate-own-warp: "%prefix% &c¡No puedes calificar tu propio warp!"
    rate-condition: "%prefix% &cYou do not meet the requirements for rating this warp!"
    already-owner: "%prefix% &c¡Ya eres el dueño de este warp!"
    already-teleporting: "%prefix% &c¡Ya te estás teletransportando a un warp!"
    wrong-password: "%prefix% &c¡Esa contraseña es incorrecta!"
    not-whitelisted: "%prefix% &cLo sentimos, el propietario no te ha incluido en la lista blanca. Tiempos difíciles :("
    not-same-world: "%prefix% &c¡No puedes teletransportarte a este warp!"
    rent: "%prefix% &cNo puedes pagar por %warp%, ¡el warp ahora ha sido eliminado!"
    banned: "%prefix% &cLo siento, el propietario te ha prohibido. Tiempos difíciles :("
    owner-ban: "%prefix% &cNo puedes prohibirte, tonto!"
    already-banned: "%prefix% &c¡Ese jugador ya está baneado!"
    already-manager: "%prefix% &c¡Ese jugador ya es un manager!"
    not-banned: "%prefix% &cThat player is not banned!"
    not-manager: "%prefix% &c¡Ese jugador no es un manager!"
    max-cost: "%prefix% &cLo sentimos, el costo máximo que puede establecer es %max%."
    min-cost: "%prefix% &cSorry, the minimum cost you can set is %min%!"
    already-whitelisted: "%prefix% &c¡Ese jugador ya está en la lista blanca!"
    already-sponsored: "%prefix% &c¡Ya has patrocinado este warp!"
    max-sponsors: "%prefix% &c¡Solo estás limitado a 1 warp de patrocinador!"
    change-location-sign: "%prefix% &c¡No puede cambiar la ubicación de una señal de deformación!"
    dbexec-failed: "%prefix% &cThere was an error executing this query. %error%"
    already-sponsored-other: "%prefix% &cSomeone has already purchased this sponsor slot!"
    warp-max-categories: "%prefix% &cYou cannot have more than %max% categories!"
    sponsor-cooldown: "%prefix% &cYou cannot sponsor this warp for another %time%!"
    sponsor-restricted-category: "%prefix% &cYou cannot sponsor this warp in this slot. It is restricted to specific categories!"

# Here you can specify different types of messages per no-permission message, using the specific permission node.
# Or you may set it to blank to not send a message at all.
# no-permission:
#   pw.warp: "You do not have permission to warp!"

n/a:
  no-prefix: "N/A"
  no-suffix: "N/A"
  no-server: "N/A"
  no-password: "N/A"
  no-user: "N/A"
  no-ban-reason: "N/A"
  no-time: "Forever"
  no-payer: "N/A"
  no-warp: "N/A"
  no-category: "N/A"
  no-managers: "N/A"
  no-displayname: "%player%"
